Bug 214544 - netpoll_send_udp does not compute a UDP checksum
netpoll_send_udp does not compute a UDP checksum
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lalancette
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-07 22:37 EST by Chris Lalancette
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 00:04:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix to correctly compute checksum in netpoll_send_udp (566 bytes, patch)
2006-11-07 22:37 EST, Chris Lalancette
no flags Details | Diff

  None (edit)
Description Chris Lalancette 2006-11-07 22:37:05 EST
+++ This bug was initially created as a clone of Bug #214542 +++

Description of problem:

netpoll_send_udp would always set the UDP checksum to 0.  This means that all
packets sent via netconsole or netdump(the only two users of netpoll_send_udp)
would have a zero checksum.  While this is technically allowed by the protocol,
this is generally not advisable.  The fix is a simple UDP checksum calculation in
netpoll_send_udp.
Comment 1 Chris Lalancette 2006-11-07 22:37:08 EST
Created attachment 140623 [details]
Fix to correctly compute checksum in netpoll_send_udp
Comment 2 Jason Baron 2006-11-10 17:04:41 EST
committed in stream U5 build 42.24. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 3 RHEL Product and Program Management 2006-11-27 22:34:06 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Jay Turner 2006-12-18 09:51:56 EST
QE ack for RHEL4.5.
Comment 7 Red Hat Bugzilla 2007-05-08 00:04:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html

Note You need to log in before you can comment on or make changes to this bug.